
;;; -*- Mode: Lisp; Package: User; Base: 10.; Patch-File: T -*-

;;;                           RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (b)(3)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;                     TEXAS INSTRUMENTS INCORPORATED.
;;;                              P.O. BOX 2909
;;;                           AUSTIN, TEXAS 78769
;;;                                 MS 2151
;;;
;;; Copyright (c) 1986, Texas Instruments Incorporated.  All rights reserved.

;;; Written 8/07/86 13:42:03 by FORD,
;;; Reason: Commented out check for Keypad-mode in cursor key methods.
;;; It doesn't appear as if cursor-key mode and keypad-mode
;;; should be connected.               Steve Ford 8-7-86
;;; while running on D from band LOD1
;;; with System 2.79, Compiler 2.7, File System 2.1, Universal Command Loop 2.0, Window System 2.10, Input Editor 2.0, ZMACS 2.10, Error Handler 2.2, Suggestions 2.22, Debug Utilities 2.12, Explorer-Net 2.7, Telnet 2.2, Vt100 2.1, File Server 2.0, Net-Config 2.4, Font Editor 2.2, Mailer 2.7, Mail-Reader 2.5, Streamer-Tape 2.20, Local-File 2.31, System-Log 2.3, Serial-Parallel 2.0, Printer 2.6, Glossary 2.0, IMAGEN 2.3, NVRAM 2.3, User Profile Utility 2.1, UCODE-DEPENDENT 2.17, microcode 310, REL 2.1 MINPROD.



#!Z
; From file PROCESS-ESCAPE-SEQUENCE.LISP#> VT100; F:
#10R TELNET#:
(COMPILER-LET ((PACKAGE (PKG-FIND-PACKAGE "TELNET"))
                         (SI:LISP-MODE :ZETALISP)
                         (*READTABLE* SI:STANDARD-READTABLE)
                         (SI:*READER-SYMBOL-SUBSTITUTIONS* NIL))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: VT100; PROCESS-ESCAPE-SEQUENCE.#"



(DEFMETHOD (vt100-escape-sequence-mixin :AUXILIARY-UP) ()
  (cond (nil                                ;(and keypad-mode process-ch?)
	 (send self ':applications-mode)
	 (send self ':net-output #/A))
	(t
	 (send self ':net-output #\escape)
	 (send self ':net-output #/[)
	 (send self ':net-output #/A))))

(DEFMETHOD (vt100-escape-sequence-mixin :AUXILIARY-DOWN) ()
  (cond (nil                                ;(and keypad-mode process-ch?)
	 (send self ':applications-mode)
	 (send self ':net-output #/B))
	(t
	 (send self ':net-output #\escape)
	 (send self ':net-output #/[)
	 (send self ':net-output #/B))))

(DEFMETHOD (vt100-escape-sequence-mixin :AUXILIARY-RIGHT) ()
  (cond (nil                                ;(and keypad-mode process-ch?)
	 (send self ':applications-mode)
	 (send self ':net-output #/C))
	(t
	 (send self ':net-output #\escape)
	 (send self ':net-output #/[)
	 (send self ':net-output #/C))))

(DEFMETHOD (vt100-escape-sequence-mixin :AUXILIARY-LEFT) ()
  (cond (nil                                ;(and keypad-mode process-ch?)
	 (send self ':applications-mode)
	 (send self ':net-output #/D))
	(t
	 (send self ':net-output #\escape)
	 (send self ':net-output #/[)
	 (send self ':net-output #/D))))


))
